WinGDI.BITMAPINFOHEADER (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinGDI, class: BITMAPINFOHEADER

Package com.sun.jna.platform.win32

# Class WinGDI.BITMAPINFOHEADER

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinGDI.BITMAPINFOHEADER

Enclosing interface:
  WinGDI

@FieldOrder({"biSize","biWidth","biHeight","biPlanes","biBitCount","biCompression","biSizeImage","biXPelsPerMeter","biYPelsPerMeter","biClrUsed","biClrImportant"}) public static class WinGDI.BITMAPINFOHEADER extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `biBitCount`
  `int`
  `biClrImportant`
  `int`
  `biClrUsed`
  `int`
  `biCompression`
  `int`
  `biHeight`
  `short`
  `biPlanes`
  `int`
  `biSize`
  `int`
  `biSizeImage`
  `int`
  `biWidth`
  `int`
  `biXPelsPerMeter`
  `int`
  `biYPelsPerMeter`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BITMAPINFOHEADER()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### biSize

    public int biSize

  - ### biWidth

    public int biWidth

  - ### biHeight

    public int biHeight

  - ### biPlanes

    public short biPlanes

  - ### biBitCount

    public short biBitCount

  - ### biCompression

    public int biCompression

  - ### biSizeImage

    public int biSizeImage

  - ### biXPelsPerMeter

    public int biXPelsPerMeter

  - ### biYPelsPerMeter

    public int biYPelsPerMeter

  - ### biClrUsed

    public int biClrUsed

  - ### biClrImportant

    public int biClrImportant

- ## Constructor Details

  - ### BITMAPINFOHEADER

    public BITMAPINFOHEADER()